$alert: #4d4d4d;
$alert-bg: #f0f0f0;
$alert-primary: #0094ed;
$alert-primary-bg: #91d6ff;
$alert-secondary: #76848c;
$alert-secondary-bg: #cfd4d6;
$alert-warning: #ffae00;
$alert-warning-bg: #ffe2a3;
$alert-danger: #f0210b;
$alert-danger-bg: #fbaca3;
$alert-black: #000;
$alert-black-bg: #525252;
$alert-light-grey: #a0a0a0;
$alert-light-grey-bg: #d3d3d3;
$alert-white: #ccc;
$alert-white-bg: #fff;

@mixin alertStyle($border, $bg) {
	border-style: solid;
	border-width: 1px;
	border-color: $border;
	color: $border;
	background-color: $bg;
	margin: 15px 0;
	padding: 8px 16px;
}

.invisible {
	display: none;
}

.alert {
	@include alertStyle($alert, $alert-bg);
}

.alert--primary {
	@include alertStyle($alert-primary, $alert-primary-bg);
}

.alert--secondary {
	@include alertStyle($alert-secondary, $alert-secondary-bg);
}

.alert--warning {
	@include alertStyle($alert-warning, $alert-warning-bg);
}

.alert--danger {
	@include alertStyle($alert-danger, $alert-danger-bg);
}

.alert--black {
	@include alertStyle($alert-black, $alert-black-bg);
}

.alert--light-grey {
	@include alertStyle($alert-light-grey, $alert-light-grey-bg);
}

.alert--white {
	@include alertStyle($alert-white, $alert-white-bg);
}

.modal-overlay {
	display: block;
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: center;
	background-color: #00000066;
	z-index: 1000;
}

@mixin modalStyle($bg, $color) {
	background-color: $bg;
	color: $color;
	width: 80%;
	padding: 8px 16px;
	border: 1px solid;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.modal-a {
	@include modalStyle($alert-primary-bg, $alert-primary);
}

.modal-b {
	@include modalStyle($alert-danger-bg, $alert-danger);
}

.close {
	cursor: pointer;
}

.close-img {
	width: 25px;
}

.check {
	width: 150px;
}

.hr-alert-1 {
	height: 1px;
	border: 0;
	border-top: 1px solid $alert-primary;
}
